Devuan bug report logs - #513
enlightenment fails to shutdown, reboot, suspend

version graph

Package: enlightenment; Maintainer for enlightenment is (unknown);

Reported by: yves@ycombe.net

Date: Sun, 4 Oct 2020 13:33:01 UTC

Severity: normal

Tags: debian

Merged with 515

Found in version 0.22.4-2

Fixed in version 0.24.2-5

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#513; Package enlightenment. (Sun, 04 Oct 2020 13:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to yves@ycombe.net:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sun, 04 Oct 2020 13:33:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: yves@ycombe.net
To: submit@bugs.devuan.org
Subject: enlightenment fails to shutdown, reboot, suspend
Date: Sun, 04 Oct 2020 15:13:10 +0200
[Message part 1 (text/plain, inline)]
Package: enlightenment

Version: 0.22.4-2

Severity: Minor

Hi, 

enlightenment fais to shutdown, reboot suspend… 

Explication is in the .xsession-errors: 

sh: 1: /usr/bin/systemctl: not found 

A fix for me is a scrpt called /usr/bin/systemctl doing the job. 

Regards 

-- 

Yves Combe
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#513; Package enlightenment. (Mon, 05 Oct 2020 17:33:01 GMT) (full text, mbox, link).


Message #8 received at 513@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: yves@ycombe.net, 513@bugs.devuan.org
Subject: Re: bug#513: enlightenment fails to shutdown, reboot, suspend
Date: Mon, 5 Oct 2020 18:17:52 +0100
Control: tags -1 debian

Yves

On Sun, Oct 04, 2020 at 03:13:10PM +0200, yves@ycombe.net wrote:
>    Package: enlightenment
> Version: 0.22.4-2
> Severity: Minor
> 
>    Hi,
> 
>    enlightenment fais to shutdown, reboot suspend…
> 
>    Explication is in the .xsession-errors:
> 
>    sh: 1: /usr/bin/systemctl: not found

Thanks for this. systemctl is a systemd specific command.

Since Devuan uses Debian's enlightenment packages directly without
recompilation, please would you report this directly
to Debian's BTS.

Thanks

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 513-submit@bugs.devuan.org. (Mon, 05 Oct 2020 17:33:04 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#513; Package enlightenment. (Tue, 06 Oct 2020 19:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Trek <trek00@inbox.ru>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Tue, 06 Oct 2020 19:48:05 GMT) (full text, mbox, link).


Message #15 received at 513@bugs.devuan.org (full text, mbox, reply):

From: Trek <trek00@inbox.ru>
To: 513@bugs.devuan.org
Subject: Re: enlightenment fails to shutdown, reboot, suspend
Date: Tue, 6 Oct 2020 21:35:53 +0200
On Sun, 4 Oct 2020 13:33:01 +0000
yves@ycombe.net wrote:

> enlightenment fais to shutdown, reboot suspend…
> sh: 1: /usr/bin/systemctl: not found

reading the code, a workaround could be to edit the values of halt,
reboot, suspend and hibernate in /etc/enlightenment/sysactions.conf

this also means the binary package could be patched without recompiling

the 0.24.2-5 version seems to check for systemd at runtime, so no need
to workaround anymore:

https://sources.debian.org/src/e17/0.24.2-5/src/bin/system/e_system_power.c/?hl=38#L38

ciao!

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#513; Package enlightenment. (Fri, 27 Nov 2020 13:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Dimitris T." <dimitris@stinpriza.org>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 27 Nov 2020 13:03:03 GMT) (full text, mbox, link).


Message #20 received at 513@bugs.devuan.org (full text, mbox, reply):

From: "Dimitris T." <dimitris@stinpriza.org>
To: 513@bugs.devuan.org
Subject: Re: enlightenment fails to shutdown, reboot, suspend
Date: Fri, 27 Nov 2020 12:54:02 +0000
hey,

i can confirm that latest version (0.24.2-5) works fine without those errors. so #513 can probably be closed. maybe #515 also, that seems a duplicate..

cheers,
d.

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#513; Package enlightenment. (Fri, 27 Nov 2020 17:33:02 GMT) (full text, mbox, link).


Message #23 received at 513@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Dimitris T." <dimitris@stinpriza.org>, 513@bugs.devuan.org
Subject: Re: [devuan-dev] bug#513: enlightenment fails to shutdown, reboot, suspend
Date: Fri, 27 Nov 2020 17:20:40 +0000
Control: forcemerge -1 515

Dimitris,

On Fri, Nov 27, 2020 at 12:54:02PM +0000, Dimitris T. wrote:
> hey,
> 
> i can confirm that latest version (0.24.2-5) works fine without those
> errors. so #513 can probably be closed. maybe #515 also, that seems a
> duplicate..

Thanks

Mark

Marked as found in versions 0.22.4-2. Request was from Mark Hindley <mark@hindley.org.uk> to 513-submit@bugs.devuan.org. (Fri, 27 Nov 2020 17:33:03 GMT) (full text, mbox, link).


Merged 513 515 Request was from Mark Hindley <mark@hindley.org.uk> to 513-submit@bugs.devuan.org. (Fri, 27 Nov 2020 17:33:03 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Fri, 27 Nov 2020 18:18:01 GMT) (full text, mbox, link).


Notification sent to yves@ycombe.net:
bug acknowledged by developer. (Fri, 27 Nov 2020 18:18:03 GMT) (full text, mbox, link).


Message #32 received at 513-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Dimitris T." <dimitris@stinpriza.org>, 513-done@bugs.devuan.org
Subject: Re: [devuan-dev] bug#513: enlightenment fails to shutdown, reboot, suspend
Date: Fri, 27 Nov 2020 18:05:26 +0000
Version: 0.24.2-5


On Fri, Nov 27, 2020 at 12:54:02PM +0000, Dimitris T. wrote:
> hey,
> 
> i can confirm that latest version (0.24.2-5) works fine without those errors. so #513 can probably be closed. maybe #515 also, that seems a duplicate..

Thanks.

Closing.

Mark

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Fri, 27 Nov 2020 18:18:05 GMT) (full text, mbox, link).


Notification sent to Yves Combe <yves@ycombe.net>:
bug acknowledged by developer. (Fri, 27 Nov 2020 18:18:07 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun Nov 29 01:36:50 2020;